%define module	Text-Shellwords
%define name	perl-%{module}
%define version 1.07
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/L/LD/LDS/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a thin wrapper around the shellwords.pl package, which comes
preinstalled with Perl. This module imports a single subroutine,
shellwords(). The shellwords() routine parses lines of text and returns
a set of tokens using the same rules that the Unix shell does for its
command-line arguments. Tokens are separated by whitespace, and can be
delimited by single or double quotes. The module also respects backslash
escapes.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.07-2mdk
- fix buildrequires in a backward compatible way

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.07-1mdk
- 1.07

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-1mdk
- new version
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-2mdk
- %%makeinstall_std macro
- no more exception

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.02-2mdk
- fixed dir ownership (distlint)

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.02-1mdk
- 1.02

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.00-2mdk
- rebuild for new auto{prov,req}

* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.00-1mdk
- first mdk release
